cocoapods 报错 NoMethodError - undefined method `each' for nil:NilClass

NoMethodError - undefined method `each' for nil:NilClass
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/target/pod_target.rb:765:in `_add_recursive_dependent_targets'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/target/pod_target.rb:752:in `block in recursive_dependent_targets'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/target/pod_target.rb:751:in `map'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/target/pod_target.rb:751:in `recursive_dependent_targets'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer/xcode/target_validator.rb:88:in `each'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer/xcode/target_validator.rb:88:in `flat_map'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer/xcode/target_validator.rb:88:in `block (2 levels) in verify_no_static_framework_transitive_dependencies'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer/xcode/target_validator.rb:74:in `each_key'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer/xcode/target_validator.rb:74:in `block in verify_no_static_framework_transitive_dependencies'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer/xcode/target_validator.rb:73:in `each'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer/xcode/target_validator.rb:73:in `verify_no_static_framework_transitive_dependencies'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer/xcode/target_validator.rb:38:in `validate!'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer.rb:590:in `validate_targets'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/installer.rb:158:in `install!'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/command/install.rb:52:in `run'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/claide-1.0.3/lib/claide/command.rb:334:in `run'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/lib/cocoapods/command.rb:52:in `run'
/Users/faith/.rvm/gems/ruby-2.4.1@global/gems/cocoapods-1.9.1/bin/pod:55:in `<top (required)>'
/Users/faith/.rvm/gems/ruby-2.4.1/bin/pod:23:in `load'
/Users/faith/.rvm/gems/ruby-2.4.1/bin/pod:23:in `<main>'
/Users/faith/.rvm/gems/ruby-2.4.1/bin/ruby_executable_hooks:15:in `eval'
/Users/faith/.rvm/gems/ruby-2.4.1/bin/ruby_executable_hooks:15:in `<main>'

我在使用flutter 开发的时候突然有一天打开就报这个错误 ,一直pod不下了
最终解决办法 是吧 iOS 目录下的 podfile文件中的 Profile => debug 就好了。

project 'Runner', {
  'Debug' => :debug,
  'Profile' => : debug,
  'Release' => :release,
}